TLM does require a state of the art card. TNT2, Geforce, Radeon 7500 or newer, etc.

If you know you have a 3d capable card with 16+ megs VRAM you can probably fix things by (re)installing Directx 8.1b and your latest video card drivers.

DirectX Download